Backup/Restore Instance Commands
- Last Updated: October 14, 2024
- 1 minute read
- LoadMaster
- Multi-Tenant LoadMaster
- Documentation
The sub-sections below contain details about commands relating to the backing up and restoring of instances.
List Backup Instances
This command lists any existing backups for the specified instance.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/listbackupinstance?iid=<VNFInstanceID>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
iid |
Integer |
The VLM instance ID. This can be retrieved by running the listInstances command. For further information, refer to the List the Instances section. |
Yes |
Example Output
<?xml version="1.0" encoding="ISO-8859-1"?><Response stat="200" code="ok"><Success><DATA><backup_0>LMBackups_2015_10_20.14_33</backup_0><backup_1>LMBackups_2015_10_20.14_52</backup_1></DATA></Success></Response>The date and timestamp in the backup filename is in the format YYYY_MM_DD.HH_mm.
Back Up an Instance
This command backs up the specified instance.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/backupinstance?iid=<VNFInstanceID>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
iid |
Integer |
The VLM instance ID. This can be retrieved by running the listInstances command. For further information, refer to the List the Instances section. |
Yes |
Example Output
<?xml version="1.0" encoding="ISO-8859-1"?><Response stat="200" code="ok"><Success>Successfully Created a Backup</Success></Response>Restore a Backup Instance
This command restores a backup instance.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/restorebackupinstance?iid=<VNFInstanceID>&bckname=<BackupName>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
iid |
Integer |
The VLM instance ID. This can be retrieved by running the listInstances command. For further information, refer to the List the Instances section. |
Yes |
|
bckname |
String |
The name of the backup to be restored. Note: This is case sensitive. |
Yes |
Example Output
<?xml version="1.0" encoding="ISO-8859-1"?><Response stat="200" code="ok"><Success>Successfully Restored the Backup </Success></Response>Delete a Backup
This command deletes the specified backup.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/deletebackupinstance?iid=<VNFInstanceID>&bckname=<BackupName>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
iid |
Integer |
The VLM instance ID. This can be retrieved by running the listInstances command. For further information, refer to the List the Instances section. |
Yes |
|
bckname |
String |
The name of the backup to be deleted. Note: This is case sensitive. |
Yes |
Example Output
<?xml version="1.0" encoding="ISO-8859-1"?><Response stat="200" code="ok"><Success>Backup deleted</Success></Response>Download a Backup
This command downloads the specified backup file to the local machine.
Example Command
curl -k "https://<Username>:<Password>@<MTIPAddress>/mtaccess/downloadbackupinstance?iid=<VLMInstanceID>&bckname=<BackupName>"Available Parameters
|
Parameter |
Parameter Type |
Parameter Description |
Mandatory |
|---|---|---|---|
|
iid |
Integer |
The VLM instance ID. This can be retrieved by running the listInstances command. For further information, refer to the List the Instances section. |
Yes |
|
bckname |
String |
The name of the backup to be downloaded. Note: This is case sensitive. |
Yes |
Example Output
When this command is run, the backup file will be downloaded. The download location is handled by whatever program is making the API call.